Update Deployment
curl --request PUT \
--url https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id} \
--header 'Content-Type: application/json' \
--data '
{
"modelId": "<string>",
"threshold": 123
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id}"
payload = {
"modelId": "<string>",
"threshold": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({modelId: '<string>', threshold: 123})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"predictionUrl": "<string>",
"name": "<string>",
"modelId": "<string>",
"threshold": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deployment
Update Deployment
You can update a deployment by providing one or both of the following:
- A new model to be used for predictions.
- A new threshold value to be used for classifying predictions.
At least one of these values must be provided for a successful update.
Updating the threshold value with a model already deployed has the following behavior:
- If you specify a new threshold value, it will override the model’s default threshold.
- If you don’t specify a new threshold value, the model’s default threshold will be used.
Updating the deployment with a new model affects the threshold value as follows:
- If you specify a new threshold value along with the new model, the new threshold will be used.
- If you don’t specify a new threshold value, the threshold associated with the new model will be used.
PUT
/
v1
/
projects
/
{project_id}
/
deployments
/
{deployment_id}
Update Deployment
curl --request PUT \
--url https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id} \
--header 'Content-Type: application/json' \
--data '
{
"modelId": "<string>",
"threshold": 123
}
'import requests
url = "https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id}"
payload = {
"modelId": "<string>",
"threshold": 123
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({modelId: '<string>', threshold: 123})
};
fetch('https://api.landing.ai/v1/projects/{project_id}/deployments/{deployment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "<string>",
"predictionUrl": "<string>",
"name": "<string>",
"modelId": "<string>",
"threshold": 123
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Headers
Query Parameters
Response
Successful Response
Show child attributes
Show child attributes
⌘I

